# _murex_ Change Log

## What's new in murex v2.8

Breaking Changes:

* None

Features:

* New data-type `jsonc` (Concatenated JSON). This is an experimental parser for reading multiple JSON documents in a single file or stream. The expectation is that it will eventually replace `jsonl` (jsonlines) and possibly even the default `json` data-type

* Autocomplete can now split on `=`. However this is an experimental feature

* New `autocomplete` directive: `Goto`. This is an experimental way to add a little more structure to autocomplete definitions without resorting to using dynamic code everywhere

* `autocomplete` directive `FlagValues` now supports two values: `"*"` and `""`. These define default properties regardless of the flag used

Minor Changes:

* Unmatched records in **index** (`[`) when parsing a table now produces the same configurable behavior (erroring by default but which can be disabled) as when using **index** against an object

* Autocompletion suggestions for `yarn`

* Data-type field in `function` is now optional

* Lots of improvements to the docs

Bug Fixes:

* `$MyVar[[/path/to/element]]` now behaves the same when used infixed as it did when used as a function

<hr>

Published: 23.05.2022 at 22:23

## See Also

* [user-guide/Reserved Variables](../user-guide/reserved-vars.md):
  Special variables reserved by _murex_
* [commands/`[[` (element)](../commands/element.md):
  Outputs an element from a nested structure
* [commands/`[` (index)](../commands/index.md):
  Outputs an element from an array, map or table
* [commands/`autocomplete`](../commands/autocomplete.md):
  Set definitions for tab-completion in the command line
* [commands/`function`](../commands/function.md):
  Define a function block
* [types/`jsonc` ](../types/jsonc.md):
  Concatenated JSON